Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1215367 - [abrt] geoclue2: g_type_check_instance_cast(): geoclue killed by SIGSEGV [NEEDINFO]
Summary: [abrt] geoclue2: g_type_check_instance_cast(): geoclue killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue2
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zeeshan Ali
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7954bf2a726c9ab2f180bf322b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-25 21:08 UTC by Andrew Aylett
Modified: 2016-09-20 01:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 19:38:48 UTC
zali: needinfo? (fedorabugs)


Attachments (Terms of Use)
File: backtrace (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: cgroup (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: core_backtrace (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: dso_list (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: environ (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: exploitable (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: limits (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: maps (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: open_fds (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details
File: proc_pid_status (deleted)
2015-04-25 21:09 UTC, Andrew Aylett
no flags Details

Description Andrew Aylett 2015-04-25 21:08:56 UTC
Version-Release number of selected component:
geoclue2-2.1.9-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue -t 5
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/geoclue
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            986
var_log_messages: [System Logs]:\n-- Logs begin at Sun 2015-01-04 20:20:45 GMT, end at Sat 2015-04-11 20:08:30 BST. --

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_type_check_instance_cast at gtype.c:4014
 #1 on_location_changed at gclue-locator.c:126
 #7 g_object_notify_by_spec_internal at gobject.c:1149
 #8 g_object_notify at gobject.c:1197
 #9 gclue_location_source_set_location at gclue-location-source.c:280
 #10 query_callback at gclue-web-source.c:97
 #11 soup_session_process_queue_item at soup-session.c:2020
 #12 async_run_queue at soup-session.c:2059
 #13 idle_run_queue at soup-session.c:2093

Potential duplicate: bug 1065772

Comment 1 Andrew Aylett 2015-04-25 21:09:00 UTC
Created attachment 1018885 [details]
File: backtrace

Comment 2 Andrew Aylett 2015-04-25 21:09:01 UTC
Created attachment 1018886 [details]
File: cgroup

Comment 3 Andrew Aylett 2015-04-25 21:09:02 UTC
Created attachment 1018887 [details]
File: core_backtrace

Comment 4 Andrew Aylett 2015-04-25 21:09:04 UTC
Created attachment 1018888 [details]
File: dso_list

Comment 5 Andrew Aylett 2015-04-25 21:09:05 UTC
Created attachment 1018889 [details]
File: environ

Comment 6 Andrew Aylett 2015-04-25 21:09:06 UTC
Created attachment 1018890 [details]
File: exploitable

Comment 7 Andrew Aylett 2015-04-25 21:09:07 UTC
Created attachment 1018891 [details]
File: limits

Comment 8 Andrew Aylett 2015-04-25 21:09:09 UTC
Created attachment 1018892 [details]
File: maps

Comment 9 Andrew Aylett 2015-04-25 21:09:10 UTC
Created attachment 1018893 [details]
File: open_fds

Comment 10 Andrew Aylett 2015-04-25 21:09:11 UTC
Created attachment 1018894 [details]
File: proc_pid_status

Comment 11 Zeeshan Ali 2015-05-05 22:35:16 UTC
Could you please try to reproduce against the latest version in F22: 2.2.0? Also could you please provide more details? Were you using geolocation for something or did it just happen out of the blue?

Comment 12 Fedora End Of Life 2015-11-04 11:19:15 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Jan Kurik 2015-12-02 19:38:52 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.